#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

#include "debug.h"
#include "kprintf.h"
#include "memory.h"
#include "string.h"
#include "utils.h"

void *alloc_frames(size_t size)
{
	const uint32_t nb_frames = CEIL(size, PAGE_SIZE);
	for (uint32_t i = 0; i < mmap_length; i++) {
		multiboot_memory_map_t *mmmt =
		    (multiboot_memory_map_t *)mmap_addr + i;
		if (mmmt->type == MULTIBOOT_MEMORY_AVAILABLE) {
			kprintf("type: %d, addr: %p, len: %u, size: %u, \n",
			        mmmt->type, mmmt->addr, mmmt->len, mmmt->size);
		}
		PRINT_PTR(mmmt);
	}
	PRINT_PTR(head);
	PRINT_PTR(head->addr);
	PRINT_PTR(head->frame_table);
	PRINT_UINT(head->size);
	PRINT_UINT(head->remaining_frames);
	PRINT_PTR(head->next);
	return NULL;
}

int free_frames(void *frame_ptr, size_t size)
{
	return 0;
}
